function toggle(box) {
    return function () {
        if (box.className.indexOf('is-active') != -1) {
            box.classList.remove('is-active')
        } else {
            box.classList.add('is-active')
        }
    }
}

function bind_toggle() {
    var nodes = document.getElementsByClassName('oldae');

    (nodes.length == 0) && (nodes = document.getElementsByClassName('pv-gs'));
    (nodes.length == 0) && (nodes = document.getElementsByClassName('collapse'));
    
    for (var i = nodes.length - 1; i >= 0; i--) {
        var boxes = nodes[i].getElementsByClassName('unbox');
        for (var j = boxes.length - 1; j >= 0; j--) {
            var box = boxes[j];
            box.getElementsByClassName('heading')[0] && box.getElementsByClassName('heading')[0].addEventListener('click', toggle(box))
        }
    }
}

function docReady(fn) {
    if (document.readyState === "complete" || document.readyState === "interactive") {
        setTimeout(fn, 1)
    } else {
        document.addEventListener("DOMContentLoaded", fn)
    }
}

docReady(bind_toggle);
